<template>
  <div class="sign-up">
    <nav-bar></nav-bar>
    <div class="columns">
      <aside class="menu column is-3">
        <a class="menu-label" @click="showMenu = !showMenu" style="padding-left: 10px">
          Menu
        </a>
        <ul class="menu-list">
          <li>
            <router-link to="/users">
              <font size="6">Users</font>
            </router-link>
          </li>
          <li>
            <router-link to="/groups">
              <font size="6">Groups</font>
            </router-link>
          </li>
        </ul>
      </aside>
    </div>
  </div>
</template>

<script>
  import firebase from 'firebase'
  import axios from 'axios'
  import Navbar from './Navbar'

  export default {
    name: 'Admin',
    data: function() {
      return {
        name: '',
        type: '',
        user: '',
        state: '',
        current_user_id: firebase.auth().currentUser,
        users: '',
        form: {
          name: "",
          type: "",
          days: "",
          state: "",
          user: "",
          description: ""
        },
        showMenu : false
      }
    },
    components: {
      'nav-bar': Navbar,
    },
    methods: {
      submitForm() {
        axios.post('https://unitask-604a4.firebaseio.com/task.json', this.form)
        this.$router.replace('dashboard')
      }
    },
    mounted () {
      console.log('hello world');
      this.current_user_id = firebase.auth().currentUser;
      axios.get('https://unitask-604a4.firebaseio.com/users.json')
        .then( res => {
          this.users = res.data;
        })
    },
  }
</script>

<style scoped>
  #buttn {
    width: 200%;
  }
</style>
